# Changelog
这里维护编辑器自 `V5.1.11` 后的主版本更新日志。


<!--NEW_LOG_INJECT_HERE-->

### `V5.5.0` - 2018-09-30
* feat: 富文本支持
* feat: Image 元素扩边特效支持

> 富文本升级后，原有由 `currentElement` 中获取的文字加粗、斜体等状态建议迁移到 `currentSelection` 中，格式不变。

### `V5.4.14` - 2018-09-14
* feat: 文字 / 图片特效颜色联动调节支持
* feat: 文字 / 图片特效尺寸参数调节支持
* perf: 图片特效稳定性
* fix: 报错处理异常

### `V5.4.13` - 2018-09-05
* fix: IE 对 SVG dataURL 支持
* fix: IE 剪贴板支持
* fix: 特效 retina 兼容

### `V5.4.12` - 2018-09-03
* perf: 特效图片整体渲染性能优化
* perf: 特效描边性能优化
* feat: 新增 `options.clipboard` 下的 `set` 与 `get` 拦截器，以支持跨模板复制
* feat: 新增 `changeEffectColor` 与 `changeEffectScale` API，以支持特效调节机制
* fix: 图片替换后 `$naturalWidth` 与 `$naturalHeight` 未同步导致的缩放拉伸问题

### `V5.4.11` - 2018-08-28
* chore: 同步图片特效改动

### `V5.4.10` - 2018-8-21
* feat: 添加 `toggleCropperFocus` API
* fix: 裁切框焦点闪烁
* fix: 裁切框边框样式

### `V5.4.9` - 2018-08-20
* fix: 重构 `cropperOptions` 配置项，提供 `switchable` / `defaultTarget` / `outerResize` 配置
* fix: 进度条缩放后状态同步
* fix: 裁切框数据响应问题

### `V5.4.8` - 2018-08-20
* feat: 添加 `switchableCrop` 与 `outerCropperResize` 配置项
* refactor: 图片特效应用流程

### `V5.4.7` - 2018-8-14
* perf: 优化元素载入超时处理，支持字体载入超时报错
* perf: 优化内部抛错处理
* feat: 添加 `elementLoadTimeout` 配置项，支持元素加载超时报错
* chore: 添加超时配置 demo
* chore: 添加错误处理 demo
* refactor: 图片特效处理流程
* fix: 图片默认缩放

### `V5.4.6` - 2018-08-09
* chore: 同步 V5.3 变更

### `V5.4.5` - 2018-08-08
* refactor: 图片特效字段重命名

### `V5.4.4` - 2018-08-08
* fix: 裁切时拖拽外部元素交互

### `V5.4.3` - 2018-08-08
* fix: 特效图片加载默认尺寸
* fix: 特效 ready 事件

### `V5.4.1` - 2018-08-06
* fix: 无 clip 图片替换后尺寸问题
* chore: 同步 V5.x 分支更改
* chore: 添加 `userAdded` 字段

### `V5.1.24` - 2018-08-06
* fix: `imageUrl` 字段兼容
* fix: Canvas translate 时小数过滤
* perf: 矩阵变换不保留小数
* perf: 非 mirror 模式下拉取原图

### `V5.3.25` - 2018-07-29
* feat: `maskResizeOptions` 锐化配置
* fix: pica 入口语法
* fix: `loaderImage` this 指向

### `V5.1.23` - 2018-07-29
* fix: Mask 元素宽高取整
* feat Canvas 操作 utils 整合
* perf: MaskEditor 操作流程优化

### `V5.1.22` - 2018-07-28
* fix: 等比缩放 1px 误差
* fix: `editor.getPointsByElement` 调用

---

### `V5.4.0` - 2018-07-26

##### 变更
* 基于 Fabric.js 的图片特效

---

### `V5.1.21` - 2018-07-26

##### 修复
* pica 入口语法问题

---

### `V5.1.20` - 2018-07-24

##### 修复
* `loadImage` this 指向

---

### `V5.1.19` - 2018-07-24

##### 修复
* git 配置同步
* Mask 元素展示时机问题

##### 变更
* `maskResizeOptions` 锐化配置

---

### `V5.3.24` - 2018-07-24

##### 修复
* 修正多实例时可能造成 loaded 事件无法触发

##### 变更
* 添加 error 事件，准备废弃 editor-error 事件

---

### `V5.3.23` - 2018-07-24

##### 变更
* !100 迁移至 Webpack 4 与 `babel-preset-env` 并移除了 `dist` 包，API 不变。

##### 修复
* !101 字体可能无法选中的问题。

---

### `V5.1.18` - 2018-07-23

##### 修复
* 同步清晰度方案至 `v5.1.x`。

---

### `V5.3.22` - 2018-07-23

##### 修复
* !99 蒙版元素初始尺寸问题。

---

### `V5.3.21` - 2018-07-20

##### 修复
* !98 图片占位符可能异常的问题。
* !98 替换图片后图片异常缩放的问题。
* !97 蒙版黑边问题。

---

### `V5.3.20` - 2018-07-19

##### 修复
* !96 基于 Pica 优化清晰度及摩尔纹问题。
* !95 裁切 undo 问题。

---

### `V5.3.19` - 2018-07-14

##### 修复
* !90 添加旋转后图片拖拽限制。
* !94 图片拖拽至最小尺寸后裁切状态异常。
* !94 点击裁切图片后裁切框失焦。
* !94 Mask 元素在拖动裁切进度条至元素外时，丢失裁剪状态。
* !94 进度条不支持点击 seek 操作。

---

### `V5.3.18` - 2018-07-12

##### 新增
* !82 增加了编辑器的 puppeteer 单元测试支持。

##### 修复
* !93 新载入的图片 clip 裁切后不生效。
* !93 图片初始宽高异常。
* !93 对未加载图片未禁用裁切控制条。
* !93 拖拽控制细节优化。

---

### `V5.3.17` - 2018-07-12

##### 修复
* !92 Mask 元素未同步 Image 裁切逻辑的问题。

##### 变更
* !91 基于图片原始尺寸缩放图片。
* !91 实现浮动上限与 100% 自动吸附。
* !91 缩放比例 Tooltip 提示。

---

### `V5.3.16` - 2018-07-10

##### 修复
* !89 图片裁切框 resize 值错误的问题。

---

### `V5.3.15` - 2018-07-10

##### 变更
* !88 图片裁切使用基于缩放控件与裁切框的新交互。

---

### `V5.3.14` - 2018-06-28

##### 修复
* 文本宽度预测在特殊 `zoom` 下错误的问题。

---

### `V5.3.13` - 2018-06-27

##### 修复
* 图片 URL 为 `null` 时跨域配置报错的问题。

---

### `V5.3.12` - 2018-06-21

##### 修复
* 代码 Typo 优化。

---

### `V5.3.11` - 2018-06-21

##### 新增
* mask 元素编辑时的网格 UI。

##### 修复
* 插入文本时默认文本框尺寸未考虑行高的问题。

---

### `V5.3.10` - 2018-06-19

##### 修复
* 默认文本 overflow 逻辑的问题。

##### 变更
* 移除了 mask 元素的默认 clip 属性。
* 优化了模型注释。
* 优化了第三方库的打包体积。

---

### `V5.3.9` - 2018-06-13

##### 修复
* 插入文本宽度在 zoom 过大时异常的问题。
* 文本特效在缩放时比例不同步的问题。

---

### `V5.3.8` - 2018-06-08

##### 修复
* Mask 元素的跨域检测问题。
* 上下文菜单触发的粘贴功能不生效的问题。
* 文本编辑状态下框换行显示异常的问题。

---

### `V5.3.7` - 2018-06-07

##### 修复
* 选择器报错导致更改 SVG 元素颜色不生效的问题。

---

### `V5.3.6` - 2018-06-07

##### 修复
* loader 方法参数不匹配的问题。

---

### `V5.3.5` - 2018-06-06

##### 修复
* `fitCrossOrigin` 未打开时，canvas 跨域图片无法显示的问题。

---

### `V5.3.4` - 2018-06-05

##### 修复
* Image 组件中图片 src 可能未添加跨域参数的问题。
* 文字容器组中文本元素 `writingMode` 可能被意外切换的问题。
* IE 下文本删除事件对文本框无效的问题。
* IE 下 Symbol 未定义的问题。
* 多文本框切换时，内容耦合的问题。


##### 变更
* 控制图片 `crossOriginal` 字段已修改为 `fitCrossOrigin` 字段。由于该配置在之前版本中未实际启用，故该变更不影响当前业务使用。

---

### `V5.3.3` - 2018-06-01

##### 修复
* 更改组内字号时，bounding rect 偶现不随之更新的问题。

---

### `V5.3.2` - 2018-06-01

##### 修复
* 文字容器等比缩放时，限制尺寸计算错误问题。

---

### `V5.3.1` - 2018-05-31

##### 修复
* 文字容器内部文本缩放时，容器尺寸未能自适应的问题。
* 缩放时 SVG 元素 N / S / W / E 宫格变换可能被破坏（出现负值 scale）的问题
* 对不支持 `containerTransform` 的元素拖拽时报错的问题。

---

### `V5.3.0` - 2018-05-27

##### 新增
* 对满足命名约定 SVG 的 `containerTransform` 九宫格缩放支持
* 组合元素 `autoGrow` 配置支持
* 组合元素 `canCollapse` 配置支持

##### 修复
* 特效图片为空时文本不可见的问题
* 对不同格式 `colors` 的适配支持问题

---

### `V5.2.11` - 2018-05-21

##### 修复
* Hue 选择器对 color 空值的适配问题
* 文本特效背景图平铺无法缩放的问题
* autoScale 文本框更改 line height 与 letter spacing 时的自适应问题
* 图片不带协议头时的跨域问题

---

### `V5.2.10` - 2018-05-10

##### 修复
* 文件选择在某些浏览器无效的问题

---

### `V5.2.9` - 2018-05-10

##### 修复
* 低版本 Chrome 上双击替换图片不生效的问题

---

### `V5.2.8` - 2018-05-09

##### 修复
* flow 模式下方向键绑定问题
* writingMode 缺省值问题
* 去除非 autoScale 文本框尺寸限制

---

### `V5.2.7` - 2018-05-07

##### 修复
* 连续空格与换行的 HTML 转义问题

---

### `V5.2.6` - 2018-05-04

##### 修复
* autoScale 初始化时可能不生效的问题

---

### `V5.2.5` - 2018-05-03

##### 修复
* 文字特效 HTML 转义问题

---

### `V5.2.4` - 2018-05-03

##### 修复
* 文本等比缩放限制
* autoScale 字体变更时尺寸自适应缩放
* 空 hotkeys.fire 问题
* span 标签被转义问题

---

### `V5.2.3` - 2018-04-28

##### 修复
* IE11 背景色兼容
* 文本最小缩放尺寸限制

---

### `V5.2.2` - 2018-04-27

##### 修复
* 内部组件引用问题

---

### `V5.2.1` - 2018-04-27

##### 修复
* EventBus 多实例问题
* autoScale 文本框 shift 缩放问题

---

### `V5.2.0` - 2018-04-27

##### 新增
* Image / File Picker
* `load` / `change` / `layout-load` 事件
* `getElementsByPoint` 与 `getElementByPoint` API

##### 修复
* 编辑器多实例问题
* 默认背景色问题

##### 变更
* 废弃 `elementFromPoint` API
* 快捷键封装至编辑器实例，仅 flow 与 design 模式默认打开

---

### `V5.1.16` - 2018-04-24

##### 修复
* snapshotStore 默认值问题

---

### `V5.1.15` - 2018-04-24

##### 新增
* `addTextEffect`
* `removeTextEffect`
* `removeAllTextEffects`
* `changeTextEffect`

##### 修复
* 斜切元素碰撞检测问题

---

### `V5.1.14` - 2018-04-17

##### 新增
* 文本框 autoScale 自适应

##### 修复
* Toolbar 字体下拉 UI 样式 问题
* 文本框斜切展示问题
* 文本框拖拽闪动问题
* 文本特效溢出隐藏问题

---

### `V5.1.13` - 2018-04-11

##### 新增
* 文本框背景色配置

##### 修复
* HTML 文本转义问题
* XSS 漏洞

---

### `V5.1.12` - 2018-03-29

##### 修复
* 图片元素滤镜展示问题
* 文本特效溢出隐藏问题

---

### `V5.1.11` - 2018-02-27
基于 `V2.x` 维护的主版本
