'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _jquery = require('jquery');

var _jquery2 = _interopRequireDefault(_jquery);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    contains: function contains(elA, elB) {
        if (!elA || !elB) {
            return false;
        }

        if (elA instanceof _jquery2.default) {
            elA = elA[0];
        }
        if (elB instanceof _jquery2.default) {
            elB = elB[0];
        }

        if (elA === elB || _jquery2.default.contains(elA, elB)) {
            return true;
        }

        return false;
    },
    isEditable: function isEditable(element) {
        var nodeName = element.nodeName;
        var editable = element.contentEditable + '';
        var rInput = /(?:input|textarea)/i;

        if (editable === 'true' || rInput.test(nodeName)) {
            return true;
        }

        return false;
    }
};
module.exports = exports['default'];