'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _jquery = require('jquery');

var _jquery2 = _interopRequireDefault(_jquery);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var EventEmitter = function () {
    function EventEmitter() {
        _classCallCheck(this, EventEmitter);

        this.$events = (0, _jquery2.default)({});
    }

    _createClass(EventEmitter, [{
        key: 'on',
        get: function get() {
            return this.$events.on.bind(this.$events);
        }
    }, {
        key: 'once',
        get: function get() {
            return this.$events.one.bind(this.$events);
        }
    }, {
        key: 'off',
        get: function get() {
            return this.$events.off.bind(this.$events);
        }
    }, {
        key: 'emit',
        get: function get() {
            return this.$events.trigger.bind(this.$events);
        }
    }]);

    return EventEmitter;
}();

exports.default = EventEmitter;
module.exports = exports['default'];