'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = getModelData;
function getModelData() {
    return {
        enable: true,

        offset: {
            enable: false,
            x: 0,
            y: 0
        },

        stroke: {
            enable: false,
            color: '#000000',
            width: 0
        },

        shadow: {
            enable: false,
            color: '#000000',
            offsetX: 0,
            offsetY: 0,
            blur: 0
        },

        expand: {
            enable: false,
            offset: {
                left: 0,
                top: 0,
                right: 0,
                bottom: 0
            },
            scale: 1
        },

        filling: {
            enable: false,

            type: 'color',
            color: '#000000',
            imageContent: {
                repeat: 'no-repeat',

                scaleX: 1,
                scaleY: 1,

                image: null,
                width: null,
                height: null
            },

            gradient: {
                byLine: 0,

                angle: 0,
                stops: [{ color: '#FFFFFF', offset: 0 }, { color: '#000000', offset: 1 }]
            }
        },

        mask: {
            type: 'circle',
            enable: false,
            image: null,
            height: null,
            width: null,

            radius: 0,

            repeat: 'no-repeat'
        }
    };
}
module.exports = exports['default'];