'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = createShadow;

var _clone = require('../clone');

function createShadow(object) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    return (0, _clone.clone)(object).then(function (cloned) {
        return cloned.setShadow({
            color: options.color,
            blur: options.blur,
            offsetX: options.offsetX,
            offsetY: options.offsetY
        });
    });
}
module.exports = exports['default'];