'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createGradient = require('./create-gradient');

var _createGradient2 = _interopRequireDefault(_createGradient);

var _createAlphaPattern = require('./create-alpha-pattern');

var _createAlphaPattern2 = _interopRequireDefault(_createAlphaPattern);

var _createImage = require('./create-image');

var _createImage2 = _interopRequireDefault(_createImage);

var _createMaskedObject = require('./create-masked-object');

var _createMaskedObject2 = _interopRequireDefault(_createMaskedObject);

var _createStroke = require('./create-stroke');

var _createStroke2 = _interopRequireDefault(_createStroke);

var _createShadow = require('./create-shadow');

var _createShadow2 = _interopRequireDefault(_createShadow);

var _createExpandImage = require('./create-expand-image');

var _createExpandImage2 = _interopRequireDefault(_createExpandImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    gradient: _createGradient2.default,
    alphaPattern: _createAlphaPattern2.default,
    image: _createImage2.default,
    maskedObject: _createMaskedObject2.default,
    stroke: _createStroke2.default,
    shadow: _createShadow2.default,
    expand: _createExpandImage2.default
};
module.exports = exports['default'];