'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = loadSvg;

var _fabric = require('fabric');

function loadSvg(str) {
    return new Promise(function (resolve) {
        _fabric.fabric.loadSVGFromString(str, function (objects) {
            var svg = _fabric.fabric.util.groupSVGElements(objects);

            svg.set({
                left: 0,
                top: 0,
                width: Math.ceil(svg.width + svg.left),
                height: Math.ceil(svg.height + svg.top)
            });

            resolve(svg);
        });
    });
}
module.exports = exports['default'];