'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _pickFile = require('./pick-file');

var _pickFile2 = _interopRequireDefault(_pickFile);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var pickImage = function pickImage() {
    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

    if (!options) {
        options = {};
    }

    if (!options.accept) {
        options.accept = 'image/png,image/jpeg,image/gif';
    }

    return (0, _pickFile2.default)(options);
};

exports.default = pickImage;
module.exports = exports['default'];