'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _escape2 = require('lodash/escape');

var _escape3 = _interopRequireDefault(_escape2);

exports.getPasteText = getPasteText;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getPasteText(e) {
    var clipboardData = e.clipboardData || e.originalEvent && e.originalEvent.clipboardData;
    var pasteText = void 0;
    if (clipboardData == null) {
        pasteText = window.clipboardData && window.clipboardData.getData('text');
    } else {
        pasteText = clipboardData.getData('text/plain');
    }

    return (0, _escape3.default)(pasteText).replace(/(\r\n|\r|\n)/g, '<br/>');
}