'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.serialize = exports.onecolor = exports.version = undefined;

var _assign2 = require('lodash/assign');

var _assign3 = _interopRequireDefault(_assign2);

var _transformMath = require('./transform-math');

var _transformMath2 = _interopRequireDefault(_transformMath);

var _outClick = require('./out-click');

var _outClick2 = _interopRequireDefault(_outClick);

var _string = require('./string');

var _string2 = _interopRequireDefault(_string);

var _loader = require('./loader');

var _loader2 = _interopRequireDefault(_loader);

var _rect = require('./rect');

var _rect2 = _interopRequireDefault(_rect);

var _dom = require('./dom');

var _dom2 = _interopRequireDefault(_dom);

var _alignment = require('./alignment');

var _alignment2 = _interopRequireDefault(_alignment);

var _version = require('./version');

var _version2 = _interopRequireDefault(_version);

var _onecolor = require('./onecolor');

var _onecolor2 = _interopRequireDefault(_onecolor);

var _serialize = require('./rich-text/utils/serialize');

var _serialize2 = _interopRequireDefault(_serialize);

var _ua = require('./ua');

var _ua2 = _interopRequireDefault(_ua);

var _binary = require('./binary');

var _binary2 = _interopRequireDefault(_binary);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var utils = (0, _assign3.default)({}, _transformMath2.default, _outClick2.default, _string2.default, _loader2.default, _rect2.default, _dom2.default, _alignment2.default, _ua2.default, _binary2.default);

exports.default = utils;
exports.version = _version2.default;
exports.onecolor = _onecolor2.default;
exports.serialize = _serialize2.default;