'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

require('@zsk526/jquery-minicolors');

var _editorColorBlock = require('./editor-color-block.html');

var _editorColorBlock2 = _interopRequireDefault(_editorColorBlock);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var blockColors = ['#000000', '#a71717', '#dc0909', '#ff0000', '#ff6666', '#ff9999', '#ffdada', '#333333', '#bf360c', '#e64a19', '#ff6600', '#ffa365', '#ffcd91', '#ffeacc', '#666666', '#c2880b', '#f9a825', '#fdd835', '#ffeb3b', '#fff82f', '#ffffd1', '#999999', '#33691e', '#689f38', '#64d637', '#83f41e', '#97f658', '#d0ffb1', '#CCCCCC', '#003a99', '#0069d5', '#0090ff', '#33ccff', '#87e1ff', '#b4ecff', '#FFFFFF', '#6600cc', '#8100ee', '#9d29ff', '#c066ff', '#dca9ff', '#e1c3ff'];

exports.default = {
    template: _editorColorBlock2.default,
    props: ['change', 'color'],
    data: function data() {
        return {
            blockColors: blockColors
        };
    },

    methods: {
        setColor: function setColor(color) {
            this.$emit('update:color', color);
        },
        get: function get(i) {
            this.setColor(this.blockColors[i]);
        }
    }
};
module.exports = exports['default'];