'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _editorLayerList = require('./editor-layer-list.html');

var _editorLayerList2 = _interopRequireDefault(_editorLayerList);

var _editorThumbnailImage = require('../thumbnail/editor-thumbnail-image');

var _editorThumbnailImage2 = _interopRequireDefault(_editorThumbnailImage);

var _editorThumbnailText = require('../thumbnail/editor-thumbnail-text');

var _editorThumbnailText2 = _interopRequireDefault(_editorThumbnailText);

var _editorThumbnailGroup = require('../thumbnail/editor-thumbnail-group');

var _editorThumbnailGroup2 = _interopRequireDefault(_editorThumbnailGroup);

var _editorThumbnailMask = require('../thumbnail/editor-thumbnail-mask');

var _editorThumbnailMask2 = _interopRequireDefault(_editorThumbnailMask);

var _editorThumbnailSvg = require('../thumbnail/editor-thumbnail-svg');

var _editorThumbnailSvg2 = _interopRequireDefault(_editorThumbnailSvg);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

;

exports.default = {
    template: _editorLayerList2.default,
    props: ['layerList', 'selectCall'],
    data: function data() {
        return {};
    },


    methods: {
        highlightElement: function highlightElement(element, action, className) {
            this.$events.$emit('editor.highlight.element', element, action, className);
        }
    },

    components: {
        'editor-thumbnail-image': _editorThumbnailImage2.default,
        'editor-thumbnail-text': _editorThumbnailText2.default,
        'editor-thumbnail-group': _editorThumbnailGroup2.default,
        'editor-thumbnail-mask': _editorThumbnailMask2.default,
        'editor-thumbnail-svg': _editorThumbnailSvg2.default
    }
};
module.exports = exports['default'];