'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _elementModel = require('../utils/element-model');

var _elementBaseModel = require('./element-base-model');

var _elementBaseModel2 = _interopRequireDefault(_elementBaseModel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ElementImageModel = function (_ElementBaseModel) {
    _inherits(ElementImageModel, _ElementBaseModel);

    function ElementImageModel(data) {
        _classCallCheck(this, ElementImageModel);

        var _this = _possibleConstructorReturn(this, (ElementImageModel.__proto__ || Object.getPrototypeOf(ElementImageModel)).call(this, data));

        (0, _elementModel.useEffects)('image', _this);

        _this.width = Number(_this.width);
        _this.height = Number(_this.height);
        _this.left = Number(_this.left);
        _this.top = Number(_this.top);
        return _this;
    }

    return ElementImageModel;
}(_elementBaseModel2.default);

exports.default = ElementImageModel;
module.exports = exports['default'];