'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _editorThumbnailGroup = require('./editor-thumbnail-group.html');

var _editorThumbnailGroup2 = _interopRequireDefault(_editorThumbnailGroup);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

;

exports.default = {

    template: _editorThumbnailGroup2.default,

    props: ['element'],

    data: function data() {
        return {};
    },


    computed: {
        category: function category() {
            var category = this.element.category;

            if ((typeof category === 'undefined' ? 'undefined' : _typeof(category)) === 'object') {
                return category.name ? '[' + category.name + '] ' : '';
            }
            return category ? '[' + category + '] ' : '';
        },
        title: function title() {
            return this.category + '组合';
        }
    }
};
module.exports = exports['default'];