'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _editorThumbnailText = require('./editor-thumbnail-text.html');

var _editorThumbnailText2 = _interopRequireDefault(_editorThumbnailText);

var _utils = require('../utils/utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {

    template: _editorThumbnailText2.default,

    props: ['element'],

    data: function data() {
        return {};
    },


    computed: {
        category: function category() {
            var category = this.element.category;

            if ((typeof category === 'undefined' ? 'undefined' : _typeof(category)) === 'object') {
                return category.name ? '[' + category.name + '] ' : '';
            }
            return category ? '[' + category + '] ' : '';
        },
        title: function title() {
            var div = document.createElement('div');
            div.innerHTML = _utils.serialize.fromHTML(this.element.contents);
            return this.category + div.innerText;
        }
    }
};
module.exports = exports['default'];