'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _utils = require('../utils/utils');

var _utils2 = _interopRequireDefault(_utils);

var _editorToolbarMore = require('./editor-toolbar-more.html');

var _editorToolbarMore2 = _interopRequireDefault(_editorToolbarMore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    template: _editorToolbarMore2.default,
    data: function data() {
        return {
            active: false
        };
    },

    methods: {
        toggleActive: function toggleActive() {
            this.active = !this.active;
        },
        initOutClick: function initOutClick() {
            var self = this;
            var offOutClick = _utils2.default.addOutClick({
                element: this.$el,
                callback: function callback() {
                    self.active = false;
                }
            });

            this.$on('destroy', offOutClick);
        }
    },
    mounted: function mounted() {
        this.initOutClick();
    },
    beforeDestroy: function beforeDestroy() {
        this.$emit('destroy');
    }
};
module.exports = exports['default'];