'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _assign2 = require('lodash/assign');

var _assign3 = _interopRequireDefault(_assign2);

var _vueInherit = require('../utils/vue-inherit');

var _vueInherit2 = _interopRequireDefault(_vueInherit);

var _editorToolbarImage = require('./editor-toolbar-image');

var _editorToolbarImage2 = _interopRequireDefault(_editorToolbarImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _vueInherit2.default)(_editorToolbarImage2.default, {
    data: function data() {
        return { neededSpace: 225 };
    },


    methods: {
        setColor: function setColor(val, index) {
            if (this.model.colors[index] !== val) {
                var colors = null;
                if (Array.isArray(this.model.colors)) {
                    colors = [].concat(this.model.colors);
                } else {
                    colors = (0, _assign3.default)({}, this.model.colors);
                }
                colors[index] = val;
                this.set('colors', colors);
                this.model.colors = colors;
            }
        }
    }
});
module.exports = exports['default'];