'use strict';

var _assign2 = require('lodash/assign');

var _assign3 = _interopRequireDefault(_assign2);

var _fabric = require('fabric');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _assign3.default)(_fabric.fabric.Object.prototype, {
    objectCaching: false,
    statefullCache: false,
    noScaleCache: true,
    needsItsOwnCache: false,
    hasControls: false,
    hasBorders: false,
    hasRotatingPoint: false,
    selectable: false
});

(0, _assign3.default)(_fabric.fabric.StaticCanvas.prototype, {
    setDimensions: function setDimensions(dimensions, options) {
        var cssValue;

        options = options || {};

        for (var prop in dimensions) {
            cssValue = dimensions[prop];

            if (!options.cssOnly) {
                this._setBackstoreDimension(prop, dimensions[prop]);
                cssValue += 'px';
                this.hasLostContext = true;
            }

            if (!options.backstoreOnly) {
                this._setCssDimension(prop, cssValue);
            }
        }
        if (this._isCurrentlyDrawing) {
            this.freeDrawingBrush && this.freeDrawingBrush._setBrushStyles();
        }
        this._initRetinaScaling();
        this._setImageSmoothing();
        this.calcOffset();

        return this;
    },

    renderOnAddRemove: false,

    enableRetinaScaling: false
});