'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});


var _uuid = 0;

exports.default = {
    uuid: function uuid() {
        return ++_uuid;
    },
    htmlToText: function htmlToText(html) {
        var br = '<br>';
        var brPlace = '{{br}}';
        var blockPlace = '{{block}}';
        var rBlockPlace = /\{\{block\}\}+/g;
        var rBlockFirst = /^<(?:div|p)[^>]*>/ig;
        var rBlockBefore = /<(?:div|p)[^>]*>/ig;
        var rBlockAfterWithText = /<\/(?:div|p)>(?!\s*?<\w+)/ig;
        var rBrPlace = /\{\{br\}\}(?:\{\{block\}\})?/g;
        var rBr = /<br[^>]*>/ig;
        var rHTML = /<[^>]+>/g;

        var content = html.replace(rBlockAfterWithText, blockPlace).replace(rBlockFirst, '').replace(rBlockBefore, blockPlace).replace(rBr, brPlace).replace(rHTML, '').replace(rBrPlace, br).replace(rBlockPlace, br).trim();

        return content;
    }
};
module.exports = exports['default'];